> ## Documentation Index
> Fetch the complete documentation index at: https://anam.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# delete llm

> Delete an LLM configuration



## OpenAPI

````yaml https://api.anam.ai/swagger.json delete /v1/llms/{id}
openapi: 3.1.0
info:
  title: Anam AI API
  version: '1.0'
servers:
  - url: https://api.anam.ai
    description: Anam API
security:
  - BearerAuth: []
tags:
  - name: Sessions
  - name: Personas
  - name: Avatars
  - name: Voices
  - name: LLMs
  - name: Knowledge
  - name: Tools
  - name: Share Links
paths:
  /v1/llms/{id}:
    delete:
      tags:
        - LLMs
      summary: delete llm
      description: Delete an LLM configuration
      operationId: deleteLlm
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
          description: The LLM ID
      responses:
        '204':
          description: Successfully deleted LLM
        '401':
          description: Unauthorized - Invalid or missing API key
        '403':
          description: Forbidden - Cannot delete default LLMs
        '404':
          description: LLM not found
        '500':
          description: Server error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````